import employees.*;
import util.*;

public class Payroll {  
  public static void main(String[] args) {
    Employee[] e = new Employee[5];
    String fName = null;
    String lName = null;
    int dept = 0;
    double payRate = 0.0;
    double hours = 0.0;

    for (int i = 0; i < e.length; i++) {
      char type = KeyboardReader.getPromptedChar("Enter type: E, N, or C: ");
      if (type != 'e' && type != 'E' && type != 'n' && type != 'N' && type != 'c' && type != 'C') {
        System.out.println("Please enter a valid type");
        i--;
        continue;
      }
      fName = KeyboardReader.getPromptedString("Enter first name: ");
      lName = KeyboardReader.getPromptedString("Enter last name: ");
      do {
        dept = KeyboardReader.getPromptedInt("Enter department: ");
        if (dept <= 0) System.out.println("Department must be >= 0");
      } while (dept <= 0);
      do {
        payRate = KeyboardReader.getPromptedDouble("Enter pay rate: ");
        if (payRate < 0.0) System.out.println("Pay rate must be >= 0");
      } while (payRate < 0.0);

      switch (type) {
        case 'e':
        case 'E':
          // your code here
          break;
        case 'n':
        case 'N':
          // your code here
          break;
        case 'c':
        case 'C':
          // your code here
      }

    }

    System.out.println();
    System.out.println("Exempt Employees");
    System.out.println("====== =========");
    // your code here
    System.out.println();
    System.out.println("Nonexempt Employees");
    System.out.println("======== =========");
    // your code here
    System.out.println();
    System.out.println("Contract Employees");
    System.out.println("======== =========");
    // your code here
  }
}